/*   FILE: common.h --
 * AUTHOR: W. Michael Petullo <mike@flyn.org>
 *   DATE: 18 July 2004
 *
 * Copyright (C) 2004 W. Michael Petullo <mike@flyn.org>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <glib.h>
#include <stdio.h>
#include <gnome-keyring.h>

extern GMainLoop *loop;
                                                                                
/* ============================ set_debug () =============================== */
void set_debug(gboolean state);

/* ============================ init_loop () =============================== */
void init_loop (void);

/* ============================ run_loop () ================================ */
void run_loop (void);

/* ============================ quit_loop () =============================== */
void quit_loop (void);

/* ============================ strip_cr () ================================ */
char *strip_cr(char *s);

/* ============================ fgets_no_cr () ============================= */
char *fgets_no_cr(char *s, int size, FILE *stream);

/* ============================ w4rn () ==================================== */
void w4rn(const char *format, ...);

/* ============================ l0g () ===================================== */
void l0g(const char *format, ...);

/* ============================ log_output () ============================== */
void log_output(int fd);

/* ============================ keyring_op_cb () =========================== */
void keyring_op_cb(GnomeKeyringResult result, gpointer data);
